import { interfaces } from 'inversify';
import { PreferenceProxy, PreferenceService, PreferenceSchema, PreferenceChangeEvent } from '@devpodio/core/lib/browser/preferences';
export declare const javaDebugPreferenceSchema: PreferenceSchema;
export interface JavaDebugConfiguration {
    'java.debug.logLevel'?: 'error' | 'warn' | 'info' | 'verbose';
    'java.debug.settings.showHex': boolean;
    'java.debug.settings.showStaticVariables': boolean;
    'java.debug.settings.showQualifiedNames': boolean;
    'java.debug.settings.maxStringLength': number;
    'java.debug.settings.enableHotCodeReplace': boolean;
    'java.debug.settings.enableRunDebugCodeLens': boolean;
}
export declare type JavaDebugPreferenceChange = PreferenceChangeEvent<JavaDebugConfiguration>;
export declare const JavaDebugPreferences: unique symbol;
export declare type JavaDebugPreferences = PreferenceProxy<JavaDebugConfiguration>;
export declare function createJavaDebugPreferences(preferences: PreferenceService): JavaDebugPreferences;
export declare function bindJavaDebugPreferences(bind: interfaces.Bind): void;
